MatrixMeasure (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class MatrixMeasure

    java.lang.Object
      fr.inrialpes.exmo.align.impl.MatrixMeasure

All Implemented Interfaces:
  Similarity

Direct Known Subclasses:
  JWNLAlignment.WordNetMatrixMeasure

    public abstract class MatrixMeasure

extends Object
implements Similarity

Implements the structure needed for recording class similarity or dissimilarity within a matrix structure.

Version:
  $Id: MatrixMeasure.java 1371 2010-03-26 22:21:36Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`HashMap<Object,Integer>` | `classlist1`
`HashMap<Object,Integer>` | `classlist2`
`double[][]` | `clmatrix`
`int` | `i`
`HashMap<Object,Integer>` | `indlist1`
`HashMap<Object,Integer>` | `indlist2`
`double[][]` | `indmatrix`
`int` | `j`
`int` | `l1`
`int` | `l2`
`int` | `nbclass1`
`int` | `nbclass2`
`int` | `nbind1`
`int` | `nbind2`
`int` | `nbprop1`
`int` | `nbprop2`
`private NumberFormat` | `numFormat`
`LoadedOntology` | `onto1`
`LoadedOntology` | `onto2`
`double[][]` | `prmatrix`
`HashMap<Object,Integer>` | `proplist1`
`HashMap<Object,Integer>` | `proplist2`

Constructor Summary
`MatrixMeasure()`

Method Summary
`void` | `compute(Properties params)`
`double` | `getClassSimilarity(Object c1, Object c2)`
`double` | `getIndividualSimilarity(Object i1, Object i2)`
`double` | `getPropertySimilarity(Object p1, Object p2)`
`void` | `initialize(LoadedOntology o1, LoadedOntology o2)`
`void` | `initialize(LoadedOntology onto1, LoadedOntology onto2, Alignment align)`
`void` | `printClassSimilarityMatrix(String type)`
`void` | `printIndividualSimilarityMatrix(String type)`
`private void` | `printMatrix(int nb1, HashMap<Object,Integer> ent1, HashMap<Object,Integer> ent2, double[][] matrix)`
`void` | `printPropertySimilarityMatrix(String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.align.impl.Similarity
`classMeasure, individualMeasure, measure, propertyMeasure`

Field Detail

### onto1

    public LoadedOntology onto1

### onto2

    public LoadedOntology onto2

### nbclass1

    public int nbclass1

### nbclass2

    public int nbclass2

### nbprop1

    public int nbprop1

### nbprop2

    public int nbprop2

### nbind1

    public int nbind1

### nbind2

    public int nbind2

### i

    public int i

### j

    public int j

### l1

    public int l1

### l2

    public int l2

### classlist2

    public HashMap<Object,Integer> classlist2

### classlist1

    public HashMap<Object,Integer> classlist1

### proplist2

    public HashMap<Object,Integer> proplist2

### proplist1

    public HashMap<Object,Integer> proplist1

### indlist2

    public HashMap<Object,Integer> indlist2

### indlist1

    public HashMap<Object,Integer> indlist1

### numFormat

    private NumberFormat numFormat

### clmatrix

    public double[][] clmatrix

### prmatrix

    public double[][] prmatrix

### indmatrix

    public double[][] indmatrix

Constructor Detail

### MatrixMeasure

    public MatrixMeasure()

Method Detail

### initialize

    public void initialize(LoadedOntology onto1,
                           LoadedOntology onto2,
                           Alignment align)

  Specified by:
    `initialize` in interface `Similarity`

### initialize

    public void initialize(LoadedOntology o1,
                           LoadedOntology o2)

  Specified by:
    `initialize` in interface `Similarity`

### compute

    public void compute(Properties params)

  Specified by:
    `compute` in interface `Similarity`

### getIndividualSimilarity

    public double getIndividualSimilarity(Object i1,
                                          Object i2)

  Specified by:
    `getIndividualSimilarity` in interface `Similarity`

### getClassSimilarity

    public double getClassSimilarity(Object c1,
                                     Object c2)

  Specified by:
    `getClassSimilarity` in interface `Similarity`

### getPropertySimilarity

    public double getPropertySimilarity(Object p1,
                                        Object p2)

  Specified by:
    `getPropertySimilarity` in interface `Similarity`

### printMatrix

    private void printMatrix(int nb1,
                             HashMap<Object,Integer> ent1,
                             HashMap<Object,Integer> ent2,
                             double[][] matrix)

### printClassSimilarityMatrix

    public void printClassSimilarityMatrix(String type)

  Specified by:
    `printClassSimilarityMatrix` in interface `Similarity`

### printPropertySimilarityMatrix

    public void printPropertySimilarityMatrix(String type)

  Specified by:
    `printPropertySimilarityMatrix` in interface `Similarity`

### printIndividualSimilarityMatrix

    public void printIndividualSimilarityMatrix(String type)

  Specified by:
    `printIndividualSimilarityMatrix` in interface `Similarity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010